import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { BsModalRef } from 'ngx-bootstrap/modal';
import {FrameDetailComponent} from '../../../../frame/core/detail/frame.detail';
@Component({
  selector: 'app-ex-std-entry-info-page-detail',
  templateUrl: './ex-std-entry-info-page-detail.component.html',
  styleUrls: ['./ex-std-entry-info-page-detail.component.scss']
})
export class ExStdEntryInfoPageDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    this.detailForm = fb.group({
      id: [null, Validators.compose([Validators.required])],
      std_id: [null, Validators.compose([Validators.required])],
      school_id: [null, Validators.compose([Validators.required])],
      batch_id: [null, Validators.compose([Validators.required])],
      create_time: [null, Validators.compose([Validators.required])],
      std_height: [null, Validators.compose([Validators.required])],
      std_weight: [null, Validators.compose([Validators.required])],
      height: [null, Validators.compose([Validators.required])],
      lower_body_length: [null, Validators.compose([Validators.required])],
      shoulder_width: [null, Validators.compose([Validators.required])],
      chest_size: [null, Validators.compose([Validators.required])],
      girth_size: [null, Validators.compose([Validators.required])],
      hip_measurement: [null, Validators.compose([Validators.required])],
      upper_arm_circumference: [null, Validators.compose([Validators.required])],
      thigh_circumference: [null, Validators.compose([Validators.required])],
      calf_circumference: [null, Validators.compose([Validators.required])],
      ankle_circumference: [null, Validators.compose([Validators.required])],
      remark: [null, Validators.compose([Validators.required])],
    });
   }

  ngOnInit(): void {
  }

}
